Subject: Re: Ibis model for differential input from [email-masked]

From: [email-masked]
Date: Wed, 14 May 97 09:10:16 EDT

Karthik:  I had a similar problem a few months ago and I asked Alan Glaser for help. 
For your info, attached below is copy of my original question and his reply.  The way 
I got around it is exactly what he suggested.  I had to make a virtual inverter in 
front of the differential input to provide the out-of-phase signal. Since timing 
(prop delay) is not utilized in the IBIS model, it makes no difference in the final 
output. I am not sure if things have changed since.  If it has, I certainly would 
like to know about it.

Jeff Chu
Digital Equipment Corp.
77 Reed Road
Hudson, MA 01749
(508)568-4197
(508)568-5195 fax
=====================================================================================
=====================================================================================
Hi

I have problems when running ibis on a differential input receiver.

I am not quite sure of how to set my <filename>.s2i input file correct, especially 
the
usage of [Diff Pin] option in correlation with [Pin] mapping.

could someone address my concerns? / mail me a example ibis model with differential 
inputs.

Thanks in advance.
Regards,
Karthik.

% ====== Internet headers and postmarks ======
% Received: from mail13.digital.com by us7rmc.bb.dec.com (5.65/rmc-17Jan97) id 
AA20499; Tue, 13 May 97 20:45:18 -0400
% Received: from server.vhdl.org by mail13.digital.com (8.7.5/UNX 1.5/1.0/WV) id 
UAA11511; Tue, 13 May 1997 20:38:38 -0400 (EDT)
% Received: from lsi.lsil.com (lsi.lsil.com [147.145.40.2]) by server.vhdl.org 
(8.8.5/8.8.3) with ESMTP id RAA05554 for <[email-masked]>; Tue, 13 May 1997 
17:13:10 -0700 (PDT)
% Received: from mhost.lsil.com (mhost.lsil.com [147.145.69.84]) by lsi.lsil.com with 
SMTP id RAA04112 (8.6.12/IDA-1.6 for <[email-masked]>); Tue, 13 May 1997 
17:03:48 -0700
% Received: from useng04 by mhost.lsil.com id AA18939 (4.1/SMI-4.1 for 
[email-masked]); Tue, 13 May 97 17:02:55 PDT
% Received: from useng29.useng by useng04 (4.1/SMI-4.1) id AA08739; Tue, 13 May 97 
17:02:53 PDT
% Date: Tue, 13 May 97 17:02:53 PDT
% From: [email-masked] (Karthigeyan Ranganathan)
% Message-Id: <9705140002.AA08739@useng04>
% To: [email-masked]
% Subject: Ibis model for a Differential input receiver
% Cc: [email-masked]

====================================================================================
====================================================================================
     
From:	CRL::"[email-masked]"   25-FEB-1997 11:48:57.33
To:	rock::chu
CC:	[email-masked] (Alan Wolfram Glaser)
Subj:	Re: your mail

> Alan:  Please help me with the following on your spice to ibis conversion program.
> How do you specify differential inputs together with an enable pin in the pin list? 
 The 
> six valid input pin formats do not include the option of differential inputs.  In 
this 
> particular circuit I have, I need to control the two differential inputs to make 
the output   
> swing.  How do I do it?
> 
> Thank you very much for your help
> Jeff Chu
> Digital Equipment Corp.
> 77 Reed Rpad
> Hudson, MA
> 01749
> (508)568-4197
> (508)568-5195 fax  

Jeff:

Unfortunately, s2ibis2 doesn't have an automatic way to control two
inputs. The only thing I can suggest it to let s2ibis2 create the input
files, edit them by hand to insert the source for the second input,
delete the output files (*.out) then re-run s2ibis2. (It will use the
SPICE files that already exist.)

Hope this helps.

Regards,

-- 
Alan Glaser                         "It's not a competition,
ECE Dept.                            it's just a mint..." - K
North Carolina State University

% ====== Internet headers and postmarks (see DECWRL::GATEWAY.DOC) ======
% Received: by easynet.crl.dec.com; id AA25311; Tue, 25 Feb 97 11:48:56 -0500
% Received: by crl.dec.com; id AA24632; Tue, 25 Feb 97 11:47:56 -0500
% Received: (from awglaser@localhost)          by c11167-343dan.ece.ncsu.edu 
(8.8.4/EC02Jan97)  id LAA27298; Tue, 25 Feb 1997 11:42:14 -0500 (EST)
% From: [email-masked]
% Message-Id: <[email-masked]>
% Subject: Re: your mail
% To: rock::chu
% Date: Tue, 25 Feb 1997 11:42:13 -0500 (EST)
% Cc: [email-masked] (Alan Wolfram Glaser)
% In-Reply-To: <[email-masked]> from "[email-masked]" 
at Feb 19, 97 04:49:53 pm
% X-Mailer: ELM [version 2.4 PL24/POP]
% Mime-Version: 1.0
% Content-Type: text/plain; charset=US-ASCII
% Content-Transfer-Encoding: 7bit